@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body { font-family: "Poppins", sans-serif; line-height:1.2; font-size:15px; color:#fff; background: #08110d url("../images/bg.jpg")no-repeat top center; background-size: cover;}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
button:hover {
	transform: scale(0.98);
	filter: brightness(1.08);
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
button.history-btn {
    position: fixed;
    right: 0;
    top: 50px;
    max-width: 75px;
    z-index: 99;
}
.music-wrapper {
    position: fixed;
    z-index: 99;
    right: 0;
    bottom: 50px;
    opacity: 1;
    transition: 0.3s;
    overflow: hidden;
    height: 40px;
    width: 40px;
    background: #fff;
    border-radius: 10px 0 0 10px;
}
.music-wrapper audio {
    position: absolute;
    left: -6px;
    top: -7px;
}
audio:focus {
	outline: none;
}
.top-sec {
    position: relative;
    text-align: center;
    padding: 10px 0 30px;
}
.logo {
    max-width: 300px;
    margin: 0 auto;
}
.title-top {
    position: relative;
}
.deco.fw-1 {
    left: -7%;
    top: -8%;
    max-width: 26%;
    mix-blend-mode: screen;
    z-index: -1;
	animation: blink 2.3s ease-in-out infinite;
    animation-delay: 0.5s;
    opacity: 0;
}
.deco.fw-2 {
    right: -8%;
    top: -28%;
    max-width: 34%;
    z-index: -1;
	animation: blink 2.3s ease-in-out infinite;
    animation-delay: 0.1s;
    opacity: 0;
}
@keyframes blink {
    0% {
        transform: scale(0.2);
		opacity: 0;
    }
    50% {
        transform: scale(1);
		opacity: 1;
    }
    100% {
        transform: scale(1);
		opacity: 0;
    }
}
.event-date {
    font-size: 28px;
    font-weight: 400;
    background: linear-gradient(0deg, rgba(160, 111, 57, 1) 0%, rgba(216, 187, 133, 1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0px 0px 7px rgb(254, 241, 132, 0.25));
    padding: 10px 0 15px;
}
.source-pts {
    position: relative;
    max-width: 597px;
    margin: 0 auto 15px;
}
.pts-info {
    position: absolute;
    left: 0;
    right: 0;
    top: 13%;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-size: 22px;
	line-height: 1.8;
}
.goldtext {
    color: #ffdd6e;
}
.how-text {
    font-style: italic;
    margin-bottom: 15px;
}
.deco.ketupat {
    left: 1%;
    bottom: -3%;
    max-width: 15%;
	animation: float 2.1s ease-in-out infinite;
}
.deco.gift {
    right: 1%;
    bottom: 0%;
    max-width: 15%;
	animation: float 2s ease-in-out infinite;
}
@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-13px);
    }
    100% {
        transform: translatey(0px);
    }
}
.how-wrapper {
    padding-bottom: 15px;
}
.stepbox {
    position: relative;
    display: inline-block;
    max-width: 260px;
    vertical-align: top;
    margin: 5px 10px;
}
.stitle {
    font-size: 18px;
    font-weight: 600;
    background: linear-gradient(0deg, rgba(160, 111, 57, 1) 0%, rgba(216, 187, 133, 1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0px 0px 7px rgb(254, 241, 132, 0.25));
    margin-bottom: 10px;
}
.stext {
    font-size: 90%;
}
.total-wrap {
    position: relative;
    max-width: 700px;
    margin: 30px auto;
}
.tcol-1 {
    position: absolute;
    top: 28%;
    left: 19%;
    font-size: 20px;
}
.tcol-2 {
    position: absolute;
    right: 21%;
    top: 28%;
    font-size: 20px;
}
.gtext {
    font-weight: 500;
    background: linear-gradient(0deg, rgba(160, 111, 57, 1) 0%, rgba(216, 187, 133, 1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0px 0px 7px rgb(254, 241, 132, 0.25));
    margin-bottom: 7%;
}
.gname {
    font-size: 120%;
}
.reward-box {
    position: relative;
    vertical-align: top;
    display: inline-block;
    max-width: 340px;
    margin: 10px 0;
	width: 32%;
}
.rwimg {
    position: absolute;
    left: 0;
    right: 0;
    top: 19%;
    max-width: 72%;
    margin: 0 auto;
}
.rwinfo {
    position: absolute;
    left: 0;
    right: 0;
    top: 62%;
    max-width: 73%;
    margin: 0 auto;
}
.rwname {
    font-size: 18px;
    font-weight: 600;
    background: linear-gradient(0deg, rgba(160, 111, 57, 1) 0%, rgba(216, 187, 133, 1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0px 0px 7px rgb(254, 241, 132, 0.25));
    margin-bottom: 5%;
}
.value-wrap {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
.gbox {
    background: linear-gradient(0deg, rgba(160, 111, 57, 1) 0%, rgba(216, 187, 133, 1) 80%);
    color: #000;
    max-width: max-content;
    margin: 0 auto 5%;
    padding: 1px 12px;
    border-radius: 2px;
    font-size: 93%;
}
button.tnc-btn {
    max-width: 50%;
}
.deco.gp1 {
    left: -11%;
    bottom: 20%;
    max-width: 15%;
	animation: float 2.2s ease-in-out infinite;
}
.deco.gp2 {
    right: -5%;
    bottom: 41%;
    max-width: 10%;
	animation: float 2.1s ease-in-out infinite;
}

.modal-dialog.history {
    max-width: 600px;
}
.modal-dialog.terms {
	max-width: 750px;
}
.modal-content.popup {
    background: #050909;
    border: 2px solid #f2ff33;
    border-radius: 10px;
    padding: 20px 20px;
}
button.close-x {
    position: absolute;
    right: 10px;
    top: 8px;
    color: #fff;
    z-index: 1;
}
.popup-title {
	text-align: center;
	font-size: 22px;
	font-weight: 600;
	margin-bottom: 15px;
}
ul.terms {
	padding-left: 17px
}
table.history-table {
    text-align: center;
}
table.history-table tr th {
	border: 1px solid #fff;
	padding: 7px 1px;
	font-weight: 500;
	color: #ffdd6e;
}
table.history-table tr td {
	border: 1px solid #fff;
	padding: 7px 1px;
}

@media(max-width: 1080px) {
.music-wrapper {
	transform: scale(0.85);
	transform-origin: bottom right;
}	
.rwname {
    font-size: 1.7vw;
}	
.vwcol {
    font-size: 1.4vw;
}	
}

@media(max-width: 991px) {
.logo {
    max-width: 34%;
}	
}


@media(max-width: 710px) {
.music-wrapper {
	transform: scale(0.75);
}	
button.history-btn {
    top: 15px;
    max-width: 55px;
}	
.tcol-1, .tcol-2 {
    font-size: 2.8vw;
}	
.event-date {
    font-size: 3.2vw;
}
.deco.gp1, .deco.gp2 {
	display: none;
}	
}

@media(max-width: 620px) {	
.pts-info {
    font-size: 3.6vw;
}	
.stepbox {
    width: 48%;
    margin: 10px 0.5%;
}
.reward-box {
    width: 49%;
	margin: 1% 0;
}
.total-wrap {
    margin: 15px auto;
}	
.rwname {
	font-size: 2.7vw;
}
.vwcol {
	font-size: 2.2vw;
}
.deco.ketupat {
    left: 1%;
    bottom: -13%;
    max-width: 13%;
}	
.deco.gift {
    right: 1%;
    bottom: -9%;
    max-width: 13%;
}	
}

@media(max-width: 480px) {
.music-wrapper {
	transform: scale(0.65);
}	
button.history-btn {
    max-width: 50px;
}	
.modal-content.popup {
    font-size: 14px;
}
.popup-title {
    font-size: 18px;
}
}




















